//
//  AppDelegate.m
//
//  Created by Alex Marshall on 23/03/12.
//  All rights reserved.
//

#import "AppDelegate.h"

@implementation AppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
  [NSApp terminate:nil];
}

int core(int argc, char **argv);

- (void)application:(NSApplication*)theApplication openFiles:(NSArray *)filenames
{
  NSString* str = [filenames objectAtIndex:0];
  [self application:theApplication openFile:str];
}

- (BOOL)application:(NSApplication *)theApplication openFile:(NSString *)filename
{
    return [self processFile:filename];
}

- (BOOL)application:(NSApplication *)theApplication openFileWithoutUI:(NSString *)filename
{
    return [self processFile:filename];
}

- (BOOL)processFile:(NSString *)file
{
  char *args[2];
  asprintf(&(args[0]), "");
  asprintf(&(args[1]), "%s", [file UTF8String]);
  core(2, args);
  free(args[0]);
  free(args[1]);
  return YES;
}

@end
